List payment methods
curl --request GET \
--url https://api.bookingshake.io/api/payment-methods \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bookingshake.io/api/payment-methods"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bookingshake.io/api/payment-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "success",
"data": [
{
"id": "wire_transfer",
"label": "Virement",
"locale": [
{
"lang": "en",
"value": "Bank transfer"
}
],
"archived": false
},
{
"id": "c2f0a1d4-9b7e-4f7c-8d2a-1e5b6a3c9f01",
"label": "Chèque ANCV",
"locale": [],
"archived": false
}
]
}{
"message": "invalid token"
}{
"message": "Rate limit exceeded",
"data": {
"limit": 60,
"window": "60 seconds",
"remaining": 0,
"resetAt": "2025-11-17T14:30:00.000Z",
"retryAfter": 45
}
}{
"message": "error"
}Payment Methods
List payment methods
Retrieve the payment method catalog of your venue, in display order.
Archived methods are included (flagged archived). Use it to resolve the method_id carried by payments in the REST API and the payment.* webhooks. There is no pagination - the whole catalog is returned in one call.
GET
/
payment-methods
List payment methods
Authorizations
Bearer authentication using your BookingShake API key. Retrieve your API key from Settings > Integrations in your BookingShake dashboard.
⌘I
